var util = require('../../../utils/util.js');
var api = require('../../../config/api.js');
const app = getApp();
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		resumeInfo:{

		},
		activeDot:1,
    skillList:[
		
		],
		servicePatternList:[]
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
			 let workerNo=options.workerNo;
			 this.setData({
				workerNo:workerNo
			 });
			 this.servantResume(workerNo);
	},
	servantResume: function () {

	util.request(api.servantResume, {
		workerNo:this.data.workerNo
		},'GET')
		.then(res=>{
			console.info(res);
		  if (res.errno === 0) {
				  this.setData({
						 resumeInfo:res.data,
						 skillList:res.data.skillImg==''?[]:res.data.skillImg.split(','),
						 servicePatternList:res.data.servicePatternName==''?[]:res.data.servicePatternName.split(',')
					});
			 } else {
				util.showErrorToast(res.errmsg);
			}
			
		});
},
	scroll(e){
		console.log(e);
		let srollLeft=e.detail.scrollLeft
		let index=parseInt((srollLeft+144)/180);
		this.setData({
			activeDot:index
		})
	},
	goAppoint(){
		wx.navigateTo({
			url: '/pages/goods/infoCollect/infoCollect',
		})
	},
	/**
	 * 生命周期函数--监听页面初次渲染完成
	 */
	onReady: function () {

	},

	/**
	 * 生命周期函数--监听页面显示
	 */
	onShow: function () {

	},

	/**
	 * 生命周期函数--监听页面隐藏
	 */
	onHide: function () {

	},

	/**
	 * 生命周期函数--监听页面卸载
	 */
	onUnload: function () {

	},

	/**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
	onPullDownRefresh: function () {

	},

	/**
	 * 页面上拉触底事件的处理函数
	 */
	onReachBottom: function () {

	},

	/**
	 * 用户点击右上角分享
	 */
	onShareAppMessage: function () {

	}
})